# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.1.0] - 2025-07-13

### Added
- Initial release of easytranscribe
- Live microphone transcription with automatic silence detection
- Audio file transcription support
- Automatic logging with timestamps and performance metrics
- Command-line interface (CLI) for easy usage
- Python API for integration into projects
- Log viewing and analysis tools
- Support for all Whisper models (tiny, base, small, medium, large, turbo)
- Comprehensive documentation and examples
- Type hints and error handling
- Unit and integration tests

### Features
- 🎤 Real-time speech-to-text from microphone
- 📁 Batch transcription of audio files
- 📊 Performance tracking and statistics
- 🔧 Simple CLI and Python API
- 📈 Log analysis and viewing tools

### Technical Details
- Built on OpenAI Whisper for accurate transcription
- Uses sounddevice for microphone input
- Supports Python 3.8+
- Cross-platform compatibility (Windows, macOS, Linux)
- MIT License
